@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Anton&family=Manrope:wght@200..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Anton&family=Manrope:wght@200..800&display=swap');

:root {
    --background: rgb(243, 242, 241);
    --background_color: #242934;
    --font: #6f6f6f;
    --white: #fff;
    --primary: #295F98;
    --info: #BFECFF;
    --success: #3F7D58;
    --warning: #FFB200;
    --danger: #EF4B4B;
    --secondary: #8EA3A6;
    --bs-table-bg: #fff;
    --font_size: 0.875rem;
    --icon_size: 1.125rem;
}

* {
    padding: 0;
    margin: 0;
}

body {
    font-size: 0.875rem;
    font-family: "Manrope", sans-serif;
    color: var(--font);
    background-color: var(--background)
}

.page-wrapper {
    width: 100%;
    display: flex;
}

.header-wrapper {
    height: 4.75rem ;
}

.main-wrapper {
    min-height: calc(100vh - 4.75rem);
    width: 100%;
    display: flex;
    flex-direction: row;
    padding-top: 4.75rem;
}

.sidebar-wrapper {
    width: 18.5rem;
    background: var(--background_color);
    color: var(--white);
}

.content-wrapper {
    width: calc(100% - 18.5rem);
    min-height: calc(100vh - 4.75rem);
    display: flex;
    flex-direction: column;
    transition: width 0s ease;
}

.main-content {
    background: var(--background);
    padding: 2rem 1rem;
    width: 100%;
    flex-grow: 1;
}


.page-wrapper .header-wrapper .navbar .navbar-brand {
    font-size: 1.5rem;
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    color: var(--font);
    letter-spacing: 1.5px;
    width: 17.25rem;
    margin-right: 0;
    transition: width 0.3s ease;
    text-align: center;
}

.page-wrapper .header-wrapper .navbar .navbar-menu-wrapper {
    width: calc(100% - 17.25rem);
    transition: width 0.3s ease;
    display: flex;
    align-items: center;
}

.page-wrapper .header-wrapper .navbar .navbar-menu-wrapper .navbar-nav > .nav-item {
    margin-left: 0.3rem;
    margin-right: 0.3rem;
}

.page-wrapper .header-wrapper .navbar .navbar-menu-wrapper .navbar-nav > .nav-item:has(.indicator) {
    position: relative;
}

.page-wrapper .header-wrapper .navbar .navbar-menu-wrapper .navbar-nav .nav-item .nav-link > .indicator {
    position: absolute;
    background: var(--danger);
    padding: 4px;
    border-radius: 100%;
    border: 1px solid var(--white);
    left: 52%;
    top: 10px;
}

.page-wrapper .header-wrapper .navbar .navbar-menu-wrapper .navbar-nav .nav-item > .dropdown-toggle::after{
    content: none;
}

.page-wrapper .header-wrapper .navbar .navbar-menu-wrapper .navbar-nav .nav-item > .dropdown-menu {
    position: absolute;
    margin-top: 0;
    left: 0;
    right: auto;
    transform: translateX(-83%);
    background: var(--white);
}

.page-wrapper .header-wrapper .navbar .navbar-menu-wrapper .navbar-nav .nav-item .dropdown-menu li > .dropdown-item{
    font-size: 0.875rem ;
    padding-left: 2rem;
    padding-right: 2rem;
    display: flex;
    align-items: center;
}

.page-wrapper .header-wrapper .navbar .navbar-menu-wrapper .navbar-nav .nav-item .dropdown-menu li > .dropdown-item:active{
    background: var(--success) !important;
    color: var(--white) !important;
}

.page-wrapper .header-wrapper .navbar .navbar-menu-wrapper .navbar-nav .nav-item .dropdown-menu li .dropdown-item > .material-symbols-outlined {
    font-size: 1.2rem ;
}

.page-wrapper .header-wrapper .navbar .navbar-menu-wrapper > .side-bar-toggler {
    display: block;
    border: none;
    color: var(--success);
    margin-left: .5rem;
    outline: none !important;
    box-shadow: none !important;
    transform: rotate(0deg);
    transition: transform 0.3s ease;
}

.page-wrapper .sidebar-warpper {
    min-height: calc(100vh - 4.75rem);
    width: 18rem;
    background: var(--white);
    /* z-index: 2; */
}

.page-wrapper .sidebar-warpper .navbar-nav > .navbar-item {
    margin-bottom: 0.2rem;
}

/* .page-wrapper .sidebar-warpper .navbar-nav > .navbar-item.navbar-header {
    background-image: url(../image/profile_bg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
} */

.page-wrapper .sidebar-warpper .navbar-nav > .navbar-item.active,
.page-wrapper .sidebar-warpper .navbar-nav > .navbar-item:hover:not(.nav-category):not(.navbar-header),
.page-wrapper .sidebar-warpper .navbar-nav > .navbar-item:has(.nav-link.show) {
    background: var(--success);
    color: var(--white);
    border-radius: 1.15rem;
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item > .nav-link {
    display: flex;
    align-items: center;
    line-height: 1;
    font-weight: 450;
    padding: 0.719rem 0.8rem;
    font-size: 0.875rem;
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item > .nav-link > p{
    margin-bottom: 0;
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item > .nav-link.dropdown-toggle::after {
    font-family: 'Material Symbols Outlined';
    content: "\e5cc";
    font-size: 1.063rem;
    border-top: none;
    margin-left: auto !important;
    transform: rotate(0deg);
    transition: transform 0.3s ease;
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item > .nav-link.dropdown-toggle:has(.badge)::after {
    margin-left: .1rem !important;

}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item > .nav-link.show::after {
    font-family: 'Material Symbols Outlined';
    content: "\e5cc";
    transform: rotate(90deg);
    transition: transform 0.3s ease;
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item .nav-link > .navbar-icon {
    font-size: 1rem;
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item > .dropdown-menu {
    position: relative !important;
    transform: none !important;
    padding-left: 1.5rem;
    padding-top: 0;
    border: 0;
    background: var(--success);
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item > .dropdown-menu.show {
    border-radius: 0 0 1.15rem 1.15rem;
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item .dropdown-menu > li .dropdown-item {
    display: flex;
    align-items: center;
    font-size: 0.875rem !important;
    font-weight: 450;
    color: var(--white);
    line-height: 1.8;
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item .dropdown-menu > li .dropdown-item:hover {
    background: none;
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item .dropdown-menu > li .dropdown-item::before {
    font-family: 'Material Symbols Outlined';
    content: "\ef4a";
    font-size: 0.688rem;
    margin-right: 0.3rem;
    line-height: 3;
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item .dropdown-menu > li .dropdown-item:hover:before {
    font-family: 'Material Symbols Outlined';
    content: "\e837";
}

.page-wrapper .sidebar-warpper .navbar-nav .navbar-item .dropdown-menu > li.active .dropdown-item::before {
    font-family: 'Material Symbols Outlined';
    content: "\e837";
}

/* Mini Sidebar */
.mini-navbar .page-wrapper .header-wrapper .navbar .navbar-brand {
    width: 4.25rem;
    transition: width 0.3s ease;
}

.mini-navbar .page-wrapper .header-wrapper .navbar .navbar-brand > span {
    display: none;
    transition: display 0.3s ease;
}

.mini-navbar .page-wrapper .header-wrapper .navbar .navbar-menu-wrapper {
    width: calc(100% - 4.25rem);
    transition: width 0.3s ease;
}

.mini-navbar .page-wrapper .header-wrapper .navbar .side-bar-toggler {
    transform: rotate(180deg);
    transition: transform 0.3s ease;
}

.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper {
    width: 5rem;
    transition: width 0.3s ease;
}

.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item > h6,
.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item > p,
.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item.nav-category,
.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item .nav-link > p
{
    display: none;
    transition: display 0.3s ease;
}

.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item.active,
.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item:hover {
    background: none;
    color: var(--success);
}

.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item .nav-link > .navbar-icon {
    font-size: 1.25rem;
}

.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item > .dropdown-toggle::after {
    content: none;
}

.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item > .dropdown-menu {
    position: absolute !important;
    transform: none !important;
    left: 4.2rem !important;
    border-radius: 0.375rem;
    top: 0;
    background: var(--white);
    padding: .8rem .8rem;
}

.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item > .dropdown-menu .dropdown-item {
    color: var(--font);
}

.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item > .dropdown-menu .dropdown-item:hover,
.mini-navbar .page-wrapper .main-wrapper .sidebar-warpper .navbar-nav .navbar-item .dropdown-menu > li.active .dropdown-item {
    color: var(--success);
}

.mini-navbar .page-wrapper .main-wrapper .content-wrapper{
    width: calc(100% - 5rem);
}

.page-wrapper .offcanvas {
    width: 18rem;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav > .navbar-item {
    margin-bottom: 0.2rem;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav > .navbar-item.active,
.page-wrapper .offcanvas .offcanvas-body .navbar-nav > .navbar-item:hover:not(.nav-category):not(.navbar-header),
.page-wrapper .offcanvas .offcanvas-body .navbar-nav > .navbar-item:has(.nav-link.show) {
    background: var(--success);
    color: var(--white);
    border-radius: 1.15rem;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item > .nav-link {
    display: flex;
    align-items: center;
    line-height: 1;
    font-weight: 450;
    padding: 0.719rem 0.8rem;
    font-size: 0.875rem;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item > .nav-link > p{
    margin-bottom: 0;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item > .nav-link.dropdown-toggle::after {
    font-family: 'Material Symbols Outlined';
    content: "\e5cc";
    font-size: 1.063rem;
    border-top: none;
    margin-left: auto !important;
    transform: rotate(0deg);
    transition: transform 0.3s ease;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item > .nav-link.dropdown-toggle:has(.badge)::after {
    margin-left: .1rem !important;

}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item > .nav-link.show::after {
    font-family: 'Material Symbols Outlined';
    content: "\e5cc";
    transform: rotate(90deg);
    transition: transform 0.3s ease;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item .nav-link > .navbar-icon {
    font-size: 1rem;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item > .dropdown-menu {
    position: relative !important;
    transform: none !important;
    padding-left: 1.5rem;
    padding-top: 0;
    border: 0;
    background: var(--success);
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item > .dropdown-menu.show {
    border-radius: 0 0 1.15rem 1.15rem;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item .dropdown-menu > li .dropdown-item {
    display: flex;
    align-items: center;
    font-size: 0.875rem !important;
    font-weight: 450;
    color: var(--white);
    line-height: 1.8;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item .dropdown-menu > li .dropdown-item:hover {
    background: none;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item .dropdown-menu > li .dropdown-item::before {
    font-family: 'Material Symbols Outlined';
    content: "\ef4a";
    font-size: 0.688rem;
    margin-right: 0.3rem;
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item .dropdown-menu > li .dropdown-item:hover:before {
    font-family: 'Material Symbols Outlined';
    content: "\e837";
}

.page-wrapper .offcanvas .offcanvas-body .navbar-nav .navbar-item .dropdown-menu > li.active .dropdown-item::before {
    font-family: 'Material Symbols Outlined';
    content: "\e837";
}


@media (max-width: 768px) { 

    .page-wrapper .header-wrapper .navbar .navbar-brand {
        width: 4.25rem;
        transition: width 0.3s ease;
    }

    .page-wrapper .header-wrapper .navbar .navbar-brand > span {
        display: none !important;
        transition: display 0.3s ease;
    }

    .page-wrapper .header-wrapper .navbar .navbar-menu-wrapper {
        width: calc(100% - 4.25rem);
        transition: width 0.3s ease;
    }

    .page-wrapper .header-wrapper .navbar .navbar-menu-wrapper > .side-bar-toggler {
        display: none !important;
        transition: display 0.3s ease;
    }

    .page-wrapper .header-wrapper .navbar .navbar-menu-wrapper .navbar-nav  .nav-item > .navbar-toggler {
        border: none;
        color: var(--success);
        outline: none !important;
        box-shadow: none !important;
    }

    .page-wrapper .main-wrapper > .sidebar-warpper {
        display: none !important;
        transition: display 0.3s ease;
    }

    .page-wrapper .main-wrapper > .content-wrapper {
        width: 100% !important;
        transition: display 0.3s ease;
    }
}

/* Authentication */
.auth {
    height: 100vh;
    background-image: linear-gradient(rgba(0, 0, 0, .5), rgba(0, 0, 0, .5)), url(../image/auth_bg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.auth-warpper {
    min-height: calc(100vh - 4.75rem);
    width: 100%;
    display: flex;
    align-items: center;
}

.auth .navbar .navbar-brand {
    font-size: 1.5rem;
    font-family: "Anton", sans-serif;
    color: var(--font);
    text-transform: uppercase;
    letter-spacing: 1.5px;
}

/* Card */
.card {
    background: var(--white);
}

/* Form */
.form-label {
    font-size: 0.875rem;
}

.form-control, .form-select {
    padding: .5rem .75rem;
    font-size: 0.875rem;
    border: 1px dashed var(--font);
    outline: none !important;
    box-shadow: none !important;
    background-color: var(--white);
}

.form-check-input {
    outline: none !important;
    box-shadow: none !important;
}

.form-check-input:checked {
    background-color: var(--success);
    border-color: var(--success);
}

/* Button */
.btn,
.btn span {
    font-size: 0.875rem;
    /* padding: .469rem; */
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn-primary {
    background: var(--primary);
    border-color: var(--primary);
    color: var(--white);
}

.btn-info {
    background: var(--info);
    border-color: var(--info);
    color: var(--white);
}

.btn-success {
    background: var(--success);
    border-color: var(--success);
    color: var(--white);
}

.btn-warning {
    background: var(--warning);
    border-color: var(--warning);
    color: var(--white);
}

.btn-danger {
    background: var(--danger);
    border-color: var(--danger);
    color: var(--white);
}

.btn-secondary {
    background: var(--secondary);
    border-color: var(--secondary);
    color: var(--white);
}

.btn-primary:hover,
.btn-success:hover,
.btn-info:hover,
.btn-warning:hover,
.btn-danger:hover,
.btn-secondary:hover {
    color: var(--white) !important;
}

/* Button Outline */
.btn-outline-primary {
    border-color: var(--primary);
    color: var(--primary);
}

.btn-outline-primary:hover {
    background: var(--primary);
    border-color: var(--primary);
    color: var(--white);
}

.btn-outline-info {
    border-color: var(--info);
    color: var(--info);
}

.btn-outline-info:hover {
    background: var(--info);
    border-color: var(--info);
    color: var(--white);
}

.btn-outline-success {
    border-color: var(--success);
    color: var(--success);
}

.btn-outline-success:hover {
    background: var(--success);
    border-color: var(--success);
    color: var(--white);
}

.btn-outline-warning {
    border-color: var(--warning);
    color: var(--warning);
}

.btn-outline-warning:hover {
    background: var(--warning);
    border-color: var(--warning);
    color: var(--white);
}

.btn-outline-danger {
    border-color: var(--danger);
    color: var(--danger);
}

.btn-outline-danger:hover {
    background: var(--danger);
    border-color: var(--danger);
    color: var(--white);
}

.btn-outline-secondary {
    border-color: var(--secondary);
    color: var(--secondary);
}

.btn-outline-secondary:hover {
    background: var(--secondary);
    border-color: var(--secondary);
    color: var(--white);
}

/* Text Backgroud */
.text-bg-primary {
    color: var(--white) !important;
    background-color: var(--primary) !important;
}

.text-bg-info {
    color: var(--white) !important;
    background-color: var(--info) !important;
}

.text-bg-success {
    color: var(--white) !important;
    background-color: var(--success) !important;
}

.text-bg-wraning {
    color: var(--white) !important;
    background-color: var(--warning) !important;
}

.text-bg-danger {
    color: var(--white) !important;
    background-color: var(--danger) !important;
}

.text-bg-secondary {
    color: var(--white) !important;
    background-color: var(--secondary) !important;
}

.bg-success {
    background-color: var(--success) !important;
}

/* Breadcrumb */
.breadcrumb {
    align-items: center;
}

.breadcrumb .breadcrumb-item {
    font-size: 0.875rem;
    font-weight: 450;
}

.breadcrumb .breadcrumb-item a {
    text-decoration: none;
    color: var(--font);
}

.breadcrumb .breadcrumb-item.active a {
    font-weight: 600;
    color: var(--success);
}

/* Separator   */
.separator {
    position: relative;
    display: flex;
    align-self: center;
    justify-content: center;
}

.separator span {
    font-size: 0.875rem;
    padding: 8px 24px;
    background: var(--white);
    z-index: 5;
    text-transform: capitalize;
    font-weight: 450;
}

.separator::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 1px;
    background: var(--bs-border-color);
    z-index: 1;
}

.hr-line-dashed {
    border-top: 2px dashed #e7eaec;
    color: #ffffff;
    background-color: #ffffff;
    height: 1px;
    margin: 20px 0;
}

/* ---------- Pagination ---------- */
.pagination > .page-item > .page-link {
    color: var(--font);
    background-color: var(--white);
}
.pagination > .page-item > .page-link:hover {
    color: var(--success) !important;
}

.pagination > .page-item.active > .page-link {
    background: var(--success);
    border: 1px solid var(--success);
    color: var(--white) !important;
}

.table {
    --bs-table-color: var(--font) !important;
    --bs-table-bg: var(--white) !important;
}

.table tbody > tr > th > .dropdown >  .dropdown-toggle,
.table tbody > tr > td > .dropdown > .dropdown-toggle {
   text-decoration: none;
   color: var(--font);
   font-size: var(--font);
   display: flex;
   align-content: center;
}

.table tbody > tr > th > .dropdown >  .dropdown-toggle::after,
.table tbody > tr > td > .dropdown > .dropdown-toggle::after,
.table tbody > tr > th > .dropdown >  .dropdown-toggle::before,
.table tbody > tr > td > .dropdown > .dropdown-toggle::before  {
    display: none;
}

.table tbody > tr > th > .dropdown >  .dropdown-toggle > span,
.table tbody > tr > td > .dropdown > .dropdown-toggle span {
    text-decoration: none;
    font-size: var(--icon_size);
    line-height: 1.2;
}

.table tbody > tr > th > .dropdown > .dropdown-menu,
.table tbody > tr > td > .dropdown > .dropdown-menu{
    padding: .5rem !important;
}

.table tbody > tr > th > .dropdown > .dropdown-menu > li > .dropdown-item ,
.table tbody > tr > td > .dropdown > .dropdown-menu > li > .dropdown-item {
    display: flex;
    align-items: center;
}

.table tbody > tr > th > .dropdown > .dropdown-menu > li > .dropdown-item > span,
.table tbody > tr > td > .dropdown > .dropdown-menu > li > .dropdown-item > span {
   font-size: var(--icon_size);
}

.table tbody > tr > th > .dropdown > .dropdown-menu > li > .dropdown-item:hover ,
.table tbody > tr > td > .dropdown > .dropdown-menu > li > .dropdown-item:hover {
    background: none;
}

.table tbody > tr > td > .dropdown > .dropdown-menu > li > .dropdown-item:active,
.table tbody > tr > td > .dropdown > .dropdown-menu > li > .dropdown-item:visited,
.table tbody > tr > th > .dropdown > .dropdown-menu > li > .dropdown-item:active,
.table tbody > tr > th > .dropdown > .dropdown-menu > li > .dropdown-item:visited {
    color: var(--font) !important;
}

/* DataTables */
div.dt-processing>div:last-child>div {
    background: var(--success) !important;
}

div.dt-container div.dt-length select {
    padding: .5rem 2.25rem .5rem .75rem;
    background-color: var(--white);
    color: var(--font);
}

div.dt-container div.dt-search input { 
    background-color: var(--white);
    color: var(--font)
}

/* Flatpicker */
.flatpickr-monthSelect-theme-dark .flatpickr-monthSelect-month.selected {
    background: var(--success) !important;
    border-color: var(--success);
}

.flatpickr-monthSelect-month.selected {
    background: var(--success) !important;
    border-color: var(--success) !important;
}

/* Select2 */
/* .select2-selection {
    font-size: 0.875rem !important;
    border: 1px dashed var(--font) !important;
    background-color: #f8fafc !important;
    border-radius: 50rem !important;
    border-color: unset !important;
    box-shadow: unset !important;
    
} */

.v-select {
    border-radius: 2rem !important;
}

.vs--searchable .vs__dropdown-toggle {
    border: 0;
    padding: 0;
}

.vs__search {
    font-size: 0.875rem !important;
    margin: 0;
}

.vs__dropdown-menu {
    width: 96% !important;
    left: unset !important;
}

